Read & Search
Retrieve and search elementals
Retrieve individual elementals or search across your collection.
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Unique identifier of the elemental
Output format
Group results by row or column
Comma-separated list of fields to return
Elemental retrieved successfully
HTTP status code
200Unauthorized - You don't have access to get this elemental
Elemental not found
curl -X GET "https://api-integrations.snackprompt.com/v1/elemental/abc123" \
-H "x-api-key: YOUR_API_KEY"
{
"code": 200,
"meta": {
"version": "v1.0.2",
"is_authenticaded": true,
"limit": 1,
"offset": 1,
"total": 1
},
"response": {
"id": "text",
"is_list": true,
"type": {
"id": 1,
"name": "text"
},
"category": {
"id": 1,
"name": "text"
},
"topics": [
{
"id": 1,
"name": "text"
}
],
"title": "text",
"body_content": "text",
"body_content_html": "text",
"body_content_plaintext": "text",
"body_content_json": {},
"body_content_placeholders": {
"list": [
"text"
],
"plaintext": "text"
},
"description": "text",
"description_plaintext": "text",
"visibility": {
"id": 1,
"name": "text"
},
"images": [
{
"id": 1,
"url": "text",
"width": 1,
"height": 1,
"blur": "text"
}
],
"cover_images": [
{
"id": 1,
"url": "text",
"width": 1,
"height": 1,
"blur": "text"
}
],
"avatar_image": "text",
"files": [
{
"id": 1,
"name": "text",
"size": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"url": "text",
"data": [
1
]
}
],
"tutorial_steps": [
{
"id": 1,
"title": "text",
"description": "text",
"video_url": "text"
}
],
"url": "text",
"is_premium": true,
"price": 1,
"average_rate": 1,
"video_url": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"user": {
"id": "text",
"name": "text",
"username": "text",
"email": "text",
"avatar": "text"
},
"comments": [
{
"id": 1,
"message": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"total_votes": 1,
"user": {
"id": "text",
"name": "text",
"username": "text",
"email": "text",
"avatar": "text"
},
"replies": [
{
"id": 1,
"message": "text",
"parent_id": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"total_votes": 1,
"user": {
"id": "text",
"name": "text",
"username": "text",
"email": "text",
"avatar": "text"
}
}
]
}
],
"total_comments": 1,
"rates": [
{
"id": 1,
"message": "text",
"rating": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"total_votes": 1,
"user": {
"id": "text",
"name": "text",
"username": "text",
"email": "text",
"avatar": "text"
}
}
],
"total_rates": 1,
"total_sales": 1,
"total_upvotes": 1,
"total_uses": 1,
"total_saves": 1,
"command": "text",
"columns": [
{
"id": "text",
"title": "text",
"description": "text",
"description_plaintext": "text",
"visibility": {
"id": 1,
"name": "text"
},
"type": {
"id": 1,
"name": "text"
},
"topics": [
{
"id": 1,
"name": "text"
}
],
"items": [
"[Circular Reference]"
],
"total_items": 1,
"cover_images": [
{
"id": 1,
"url": "text",
"width": 1,
"height": 1,
"blur": "text"
}
],
"images": [
{
"id": 1,
"url": "text",
"width": 1,
"height": 1,
"blur": "text"
}
],
"files": [
{
"id": 1,
"name": "text",
"size": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"url": "text",
"data": [
1
]
}
],
"avatar_image": "text",
"video_url": "text",
"tutorial_steps": [
{
"id": 1,
"title": "text",
"description": "text",
"video_url": "text"
}
],
"url": "text",
"is_premium": true,
"price": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"is_saved": true,
"is_favorite": true,
"is_voted": true,
"average_rate": 1,
"rates": [
{
"id": 1,
"message": "text",
"rating": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"total_votes": 1,
"user": {
"id": "text",
"name": "text",
"username": "text",
"email": "text",
"avatar": "text"
}
}
],
"total_rates": 1,
"total_saves": 1,
"total_upvotes": 1,
"total_uses": 1,
"total_sales": 1,
"user": {
"id": "text",
"name": "text",
"username": "text",
"email": "text",
"avatar": "text"
},
"last_saves": [
{
"id": "text",
"name": "text",
"username": "text",
"email": "text",
"avatar": "text"
}
],
"table_id": "text",
"table_orientation": "text",
"tags": [
{
"id": "scZahUfID",
"title": "text",
"color": "text",
"description": "text",
"user_id": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"knowledge_base": {},
"knowledge_base_json": {},
"settings": {
"is_knowledge_base": true,
"is_template": true,
"is_system": true
}
}
],
"rows": [
{
"id": "text",
"title": "text",
"description": "text",
"description_plaintext": "text",
"visibility": {
"id": 1,
"name": "text"
},
"type": {
"id": 1,
"name": "text"
},
"topics": [
{
"id": 1,
"name": "text"
}
],
"items": [
"[Circular Reference]"
],
"total_items": 1,
"cover_images": [
{
"id": 1,
"url": "text",
"width": 1,
"height": 1,
"blur": "text"
}
],
"images": [
{
"id": 1,
"url": "text",
"width": 1,
"height": 1,
"blur": "text"
}
],
"files": [
{
"id": 1,
"name": "text",
"size": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"url": "text",
"data": [
1
]
}
],
"avatar_image": "text",
"video_url": "text",
"tutorial_steps": [
{
"id": 1,
"title": "text",
"description": "text",
"video_url": "text"
}
],
"url": "text",
"is_premium": true,
"price": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"is_saved": true,
"is_favorite": true,
"is_voted": true,
"average_rate": 1,
"rates": [
{
"id": 1,
"message": "text",
"rating": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"total_votes": 1,
"user": {
"id": "text",
"name": "text",
"username": "text",
"email": "text",
"avatar": "text"
}
}
],
"total_rates": 1,
"total_saves": 1,
"total_upvotes": 1,
"total_uses": 1,
"total_sales": 1,
"user": {
"id": "text",
"name": "text",
"username": "text",
"email": "text",
"avatar": "text"
},
"last_saves": [
{
"id": "text",
"name": "text",
"username": "text",
"email": "text",
"avatar": "text"
}
],
"table_id": "text",
"table_orientation": "text",
"tags": [
{
"id": "scZahUfID",
"title": "text",
"color": "text",
"description": "text",
"user_id": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"knowledge_base": {},
"knowledge_base_json": {},
"settings": {
"is_knowledge_base": true,
"is_template": true,
"is_system": true
}
}
],
"tags": [
{
"id": "scZahUfID",
"title": "text",
"color": "text",
"description": "text",
"user_id": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"knowledge_base": {},
"knowledge_base_json": {},
"settings": {
"is_knowledge_base": true,
"is_template": true,
"is_system": true
}
}
}Search for elementals across the platform.
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Search query string
Number of results per page (default 4, max 100)
4Page number (default 1)
1Field to order by
created_atOrder direction
descPossible values: Search results
200curl -X GET "https://api-integrations.snackprompt.com/v1/elementals?search=marketing&size=10&page=1" \
-H "x-api-key: YOUR_API_KEY"
Search results
{
"code": 200,
"meta": {
"version": "v1.0.2",
"is_authenticaded": true,
"limit": 1,
"offset": 1,
"total": 1,
"size": 1,
"page": 1
},
"response": []
}API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Filter by elemental type
41List of user elementals
200curl -X GET "https://api-integrations.snackprompt.com/v1/user/elementals?type=prompt" \
-H "x-api-key: YOUR_API_KEY"
List of user elementals
{
"code": 200,
"meta": {
"version": "v1.0.2",
"is_authenticaded": true,
"limit": 1,
"offset": 1,
"total": 1,
"size": 1,
"page": 1
},
"response": []
}Returns a summary/key-value list of the user's elementals by type.
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Summary of user elementals
No content
curl -X GET "https://api-integrations.snackprompt.com/v1/user/elementals/summary?type=prompt" \
-H "x-api-key: YOUR_API_KEY"
Summary of user elementals
No content
Last updated